"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Block = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactFela = require("react-fela");
// TODO: Fix eslint issues the next time this file is edited.
/* eslint-disable @typescript-eslint/ban-types */

const style = {
  display: 'block'
};
/**
 * By default renders a div with display: block, as a starting point for building your own custom block components.
 * @deprecated Use a <div> element instead
 */
const Block = exports.Block = /*#__PURE__*/_react.default.forwardRef((_ref, ref) => {
  let {
    children,
    className,
    as: As = 'div',
    extend,
    ...props
  } = _ref;
  const {
    css
  } = (0, _reactFela.useFela)(props);
  return /*#__PURE__*/_react.default.createElement(As, (0, _extends2.default)({}, props, {
    ref: ref,
    className: css(style, extend) + (className ? ' ' + className : '')
  }), children);
});

// @ts-ignore
Block.displayName = 'Block';

// @ts-ignore
Block.propTypes = {
  /** Any valid React element, function, or a string specifying a name for an HTML element */
  as: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.element, _propTypes.default.elementType, _propTypes.default.func]),
  /** An object containing valid CSS style declarations */
  extend: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.func, _propTypes.default.array]),
  /** A JSX node */
  children: _propTypes.default.node,
  /** Add an additional custom className to element. Warning: make sure it doesn't collide with the classNames being generated for the atomic CSS */
  className: _propTypes.default.string
};