"use strict";

var _react = _interopRequireWildcard(require("react"));
var _vccUi = require("vcc-ui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
// TODO: Fix eslint issues the next time this file is edited.
/* eslint-disable jsx-a11y/aria-role */

// Considered a div if no `href` is provided
//  `target` is `a` only attribute
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  target: "blank"
});
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  role: ""
});

// hrefLang is `a` attribute
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  hrefLang: "lang",
  onClick: e => {
    console.log(e);
  }
});

// Considered an `a` if `href` is provided
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  href: "href",
  hrefLang: "`a` only attribute"
});
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  href: "href",
  target: "blank"
});
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  href: "href",
  target: "blank",
  selected: false
});

// allows children
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  href: "href",
  target: "blank"
}, /*#__PURE__*/_react.default.createElement("div", null), "text");

// Allows multiple extend types
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  extend: {
    display: 'none'
  }
});
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  extend: _ref => {
    let {
      theme
    } = _ref;
    return {
      color: theme.color.background.primary
    };
  }
});
/*#__PURE__*/_react.default.createElement(_vccUi.Card, {
  extend: [_ref2 => {
    let {
      theme
    } = _ref2;
    return {
      color: theme.color.background.primary
    };
  }, {
    display: 'none'
  }, [_ref3 => {
    let {
      theme
    } = _ref3;
    return {
      color: theme.color.background.primary
    };
  }, {
    display: 'none'
  }]]
});

// expects correct `ref` type
() => {
  const imageRef = (0, _react.useRef)(null);
  const aRef = (0, _react.useRef)(null);
  const buttonRef = (0, _react.useRef)(null);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_vccUi.Card, {
    href: "href",
    ref: aRef
  }), /*#__PURE__*/_react.default.createElement(_vccUi.Card, {
    href: "href",
    ref: imageRef
  }), /*#__PURE__*/_react.default.createElement(_vccUi.Card, {
    ref: buttonRef
  }));
};