"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Grid = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _flex = require("../flex");
/**
 * @deprecated This component is deprecated and can be recreated using CSS only. See [Grid](https://developer.volvocars.com/design-system/web/?path=/docs/layout-grid--docs)
 */
const Grid = _ref => {
  let {
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_flex.Flex, {
    extend: gridCSS
  }, children);
};
exports.Grid = Grid;
Grid.propTypes = {
  /** A JSX node */
  // @ts-ignore
  children: _propTypes.default.node.isRequired
};
const gridCSS = _ref2 => {
  let {
    theme
  } = _ref2;
  return {
    boxSizing: 'border-box',
    width: '100%',
    maxWidth: 1400,
    margin: '0 auto',
    paddingLeft: theme.baselineGrid * 2,
    paddingRight: theme.baselineGrid * 2,
    // We use onlyM here so that breakpoint orders don't need to be defined by the user
    onlyM: {
      paddingLeft: theme.baselineGrid * 3,
      paddingRight: theme.baselineGrid * 3
    },
    fromL: {
      paddingLeft: theme.baselineGrid * 5,
      paddingRight: theme.baselineGrid * 5
    }
  };
};