import React from 'react';
import { ComponentWithAs, OmittedIntrinsicElements, PropsWithAs, PropsWithExtend } from '../../types/shared';
export type InlineUniqueProps = PropsWithExtend<{}>;
export type InlineProps<T extends keyof OmittedIntrinsicElements = 'span'> = PropsWithAs<InlineUniqueProps, T>;
/**
 * @deprecated Use a `<span>` element instead
 */
export declare const Inline: ComponentWithAs<InlineUniqueProps, "span", React.Ref<HTMLElement>>;
