import React, { ComponentType } from 'react';

export type MessageProps = {
  children: React.ReactNode;
  /** Sets the type of the message, e.g. an error is displayed in red with an error icon */
  type?: 'error' | 'description';
  id?: string;
};

/** @deprecated */
export const Message: ComponentType<MessageProps>;
export {};
