import React, { HTMLAttributes } from 'react';
export type NavItemProps = {
    /** Indicate if the NavItem will open a dropdown menu */
    isDropdown?: boolean;
    /** Indicate if the NavItem is in an active state */
    isActive?: boolean;
} & HTMLAttributes<HTMLButtonElement>;
/**
 * @deprecated
 */
export declare const NavItem: React.ForwardRefExoticComponent<{
    /** Indicate if the NavItem will open a dropdown menu */
    isDropdown?: boolean;
    /** Indicate if the NavItem is in an active state */
    isActive?: boolean;
} & React.HTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
