import { ResponsiveProp, TypeVariants } from '../../types/shared';
export declare function stripFlowElement(el: string): string;
export declare function arrayifyResponsiveValue(value: ResponsiveProp<string | undefined>): (string | undefined)[];
export declare function populateResponsiveArray(value: (string | undefined)[]): string[];
export declare function normalizeResponsiveValue(value: ResponsiveProp<string>): string[];
export declare function getBaseStyle(style?: Record<string, any>): {
    [x: string]: any;
};
export declare function getStylesForEachBreakpoint(styles: Record<string, any>, breakpoint: string): {};
export declare function mergeStyles({ standard: { styles }, ...subStyles }: {
    [key: string]: any;
}, subStyle: string, breakpoint: string): {};
export declare function getRenderedElement(isRootElement: boolean, as: string | undefined, variant: ResponsiveProp<TypeVariants>, subStyle: ResponsiveProp<'standard' | 'inline-link' | 'emphasis'>, theme: Record<string, any>): string;
