export function getThemeArrowStyles(_ref) {
  let {
    theme,
    defaults
  } = _ref;
  const styles = {
    color: defaults.color,
    size: defaults.size
  };
  if (theme && theme.navItemArrow) {
    styles.color = theme.navItemArrow.color || styles.color;
    styles.size = theme.navItemArrow.size || styles.size;
  }
  return {
    ...styles
  };
}