import React from 'react';
import { Block } from 'vcc-ui';
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 1
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'normal string'
  }
});

// string with --css-custom-property
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'var(--I-dont-error-with-css-custom-property-wohoo)'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'var(--I-dont-error-with-css-custom-property-wohoo, 12)'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'var(--I-dont-error-with-css-custom-property-wohoo, 12)'
  }
});

// string with calc()
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'calc(1 + 1)'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'calc1 + 1)'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    zIndex: 'calc(var(--hello, 10))'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    color: 'var(--red)'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: {
    color: 'red'
  }
});