"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyleProvider = StyleProvider;
var _react = _interopRequireWildcard(require("react"));
var _reactFela = require("react-fela");
var _styleRenderer = require("./style-renderer");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
// eslint-disable-next-line testing-library/render-result-naming-convention
const clientRenderer = (0, _styleRenderer.styleRenderer)({
  wrapHoverWithMediaHover: true
});
function StyleProvider(_ref) {
  let {
    renderer = clientRenderer,
    children,
    targetDocument
  } = _ref;
  const contextRenderer = (0, _react.useContext)(_reactFela.RendererContext);
  if (contextRenderer) {
    return children;
  }
  return /*#__PURE__*/_react.default.createElement(_reactFela.RendererProvider, {
    renderer: renderer,
    targetDocument: targetDocument
  }, children);
}