import { CurrentTheme } from '../types/shared';
export declare function getTokens(color: CurrentTheme['color'], variant?: 'light' | 'dark'): {
    buttonPrimaryColor: string;
    buttonPrimaryHoverBackground: string;
    buttonPrimaryForeground: string;
    buttonSecondaryColor: string;
    buttonSecondaryHoverBackground: string;
    buttonSecondaryHoverColor: string;
    buttonDestructiveForeground: string;
    linkForeground: string;
    linkHoverForeground: string;
    linkActiveForeground: string;
    inputDisabledForeground: string;
    inputDisabledControl: string;
    inputDisabledBackground: string;
    inputBackground: string;
    inputBorderFocus: string;
    inputControl: string;
    inputControlBorder: string;
    toggleControlForeground: string;
    toggleControlBackground: string;
    toggleControlCheckedBackGround: string;
    buttonPaddingVertical: number;
    buttonPaddingHorizontal: number;
    inputPaddingVertical: number;
    inputPaddingHorizontal: number;
    buttonPrimaryOutlineColor: string;
    buttonSecondaryForeground: string;
    buttonDestructiveColor: string;
    linkDestructiveForeground: string;
    inputForeground: string;
    inputDisabledBorder: string;
    inputBorder: string;
    inputPlaceholder: string;
    inputControlBackground: string;
    inputControlForeground: string;
    card: {
        background: string;
        shadow: string;
    };
} | {
    buttonPrimaryColor: string;
    buttonPrimaryForeground: string;
    buttonPrimaryHoverBackground: string;
    buttonSecondaryColor: string;
    buttonSecondaryHoverBackground: string;
    buttonDestructiveForeground: string;
    buttonDestructiveHoverBackground: string;
    linkForeground: string;
    linkHoverForeground: string;
    linkPressForeground: string;
    linkActiveForeground: string;
    inputDisabledForeground: string;
    inputDisabledControl: string;
    inputDisabledBackground: string;
    inputBackground: string;
    inputBorderFocus: string;
    inputControl: string;
    inputControlBorder: string;
    buttonPaddingVertical: number;
    buttonPaddingHorizontal: number;
    inputPaddingVertical: number;
    inputPaddingHorizontal: number;
    buttonPrimaryOutlineColor: string;
    buttonSecondaryForeground: string;
    buttonDestructiveColor: string;
    linkDestructiveForeground: string;
    inputForeground: string;
    inputDisabledBorder: string;
    inputBorder: string;
    inputPlaceholder: string;
    inputControlBackground: string;
    inputControlForeground: string;
    toggleControlForeground: string;
    toggleControlBackground: string;
    toggleControlCheckedBackGround: string;
    card: {
        background: string;
        shadow: string;
    };
};
