"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deprecate = deprecate;
const isProduction = process.env.NODE_ENV === 'production';
const cache = {};
function deprecate(message, condition) {
  if (!isProduction && !cache[message] && condition) {
    cache[message] = true;
    console.warn(`VCC UI Deprecation: ${message}`);
  }
}