declare global {
    interface Window {
        DocumentTouch: any;
    }
}
/**
 * Detect type of device
 * From stackoverflow: https://stackoverflow.com/a/4819886
 *
 * @returns bool
 */
export declare const isTouchDevice: () => boolean;
/**
 * Takes link component props and returns a recommended `rel` value.
 *
 * @see https://developers.google.com/web/tools/lighthouse/audits/noopener
 */
export declare const getLinkRel: ({ href, target, rel, }: {
    href?: string;
    target?: string;
    rel?: string;
}) => string | undefined;
