import PropTypes from 'prop-types';
/**
    We need to create our own version of this, as it's
    not possible to combine out-of-the-box PropTypes
    with custom function validators.
*/
export declare const oneOf: (validTypes: any[]) => (props: {
    [x: string]: any;
}, propName: string | number, componentName: any) => Error | undefined;
export declare const responsiveNumberOrStringProp: PropTypes.Requireable<any>;
export declare const responsiveNumberProp: PropTypes.Requireable<any>;
export declare const responsiveStringProp: PropTypes.Requireable<any>;
export declare function createResponsivePropType(propTypes: any[] | PropTypes.Validator<unknown>): PropTypes.Requireable<any>;
