"use strict";

var _react = _interopRequireWildcard(require("react"));
var _vccUi = require("vcc-ui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
// <Block href="www.volvocars.com" />;

// const ref = createRef<HTMLAnchorElement>();

// <Block
//   href=""
//   onClick={(e) => {
//     console.log(e);
//   }}
// />;

// <Block hrefLang="" ref={ref} />;

//@ts-expect-error
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  hrefLang: "",
  hello: "fail"
});

// <Block href="www" ref={ref} />;

// <Block<'svg'> viewBox="" />;

/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  as: _vccUi.Link,
  href: "www.volvocars.com"
});
const CustomLink = _ref => {
  let {
    href
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("a", {
    href: href
  }, "content");
};
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  as: CustomLink,
  href: "www.volvocars.com"
});
/*#__PURE__*/_react.default.createElement(_vccUi.Block, null);
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  onClick: e => {
    console.log(e);
  }
});
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  as: "img",
  src: "www.volvocars.com/image.png"
});
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  as: "img",
  alt: "description"
});
const CustomImg = _ref2 => {
  let {
    src
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("img", {
    src: src,
    alt: "ja"
  });
};
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  as: CustomImg,
  src: "www.volvocars.com"
});

// Allows multiple extend types
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  extend: {
    display: 'none'
  }
});
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  extend: _ref3 => {
    let {
      theme
    } = _ref3;
    return {
      color: theme.color.background.primary
    };
  }
});
/*#__PURE__*/_react.default.createElement(_vccUi.Block, {
  extend: [_ref4 => {
    let {
      theme
    } = _ref4;
    return {
      color: theme.color.background.primary
    };
  }, {
    display: 'none'
  }, [_ref5 => {
    let {
      theme
    } = _ref5;
    return {
      color: theme.color.background.primary
    };
  }, {
    display: 'none'
  }]]
});

// accepts any ref type
() => {
  const imageRef = (0, _react.useRef)(null);
  const aRef = (0, _react.useRef)(null);
  const divRef = (0, _react.useRef)(null);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_vccUi.Block, {
    as: "img",
    src: "image src",
    ref: imageRef
  }), /*#__PURE__*/_react.default.createElement(_vccUi.Block, {
    as: "a",
    href: "a href",
    ref: aRef
  }), /*#__PURE__*/_react.default.createElement(_vccUi.Block, {
    ref: divRef
  }));
};