"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _react = _interopRequireDefault(require("react"));
var _vccUi = require("vcc-ui");
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  type: "submit",
  form: "button only attribute"
});
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "#",
  hrefLang: "`a` only attribute"
});
// // @ts-expect-error
// <Button type="submit" hrefLang="`a` only attribute" />;
// @ts-expect-error
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "#",
  form: "button only attribute"
});
// @ts-expect-error
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  foo: "bar"
});
// @ts-expect-error
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "#",
  foo: "bar"
});
const buttonOrAnchorRef = /*#__PURE__*/_react.default.createRef();
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  ref: buttonOrAnchorRef
});
const buttonRef = /*#__PURE__*/_react.default.createRef();
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  ref: buttonRef
});
const anchorRef = /*#__PURE__*/_react.default.createRef();
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "href",
  ref: anchorRef
});

// Allows implicitly typed onClick
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  onClick: event => console.log(event)
});
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "href",
  onClick: event => console.log(event)
});

// Allows explicitly typed onClick
const htmlOnClick = () => {};
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  type: "submit",
  onClick: htmlOnClick
});
const buttonOrAnchorOnClick = () => {};
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  type: "submit",
  onClick: buttonOrAnchorOnClick
});
const buttonOnClick = () => {};
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  type: "submit",
  onClick: buttonOnClick
});
const anchorOnClick = () => {};
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "#",
  onClick: anchorOnClick
});

// Fails on incorrect element
const divOnClick = () => {};
// @ts-expect-error
/*#__PURE__*/_react.default.createElement(_vccUi.Button, {
  href: "#",
  onClick: divOnClick
});
const CustomComponent = _ref => {
  let {
    anotherProperty,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_vccUi.Button, props);
};
/*#__PURE__*/_react.default.createElement(CustomComponent
// @ts-expect-error TODO
, {
  href: "#",
  anotherProperty: 5,
  onClick: event => console.log(event)
});
/*#__PURE__*/_react.default.createElement(CustomComponent, {
  anotherProperty: 5,
  onClick: event => console.log(event)
});