"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardContent = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactFela = require("react-fela");
var _flex = require("../flex");
const style = () => ({
  padding: '16px 32px'
});

/**
 * @deprecated This component is deprecated and can be recreated using CSS only. See [ClickableCard Example](https://developer.volvocars.com/design-system/web/?path=/docs/how-to-clickablecard--docs)
 */
const CardContent = exports.CardContent = /*#__PURE__*/_react.default.forwardRef((_ref, ref) => {
  let {
    children,
    ...props
  } = _ref;
  const {
    theme
  } = (0, _reactFela.useFela)();
  const styleProps = {
    theme
  };
  return /*#__PURE__*/_react.default.createElement(_flex.Flex, (0, _extends2.default)({
    ref: ref
  }, props, {
    extend: style(styleProps)
  }), children);
});
CardContent.displayName = 'CardContent';
CardContent.propTypes = {
  children: _propTypes.default.node
};