import { ForwardRefExoticComponent } from 'react';
import { PropsWithExtend } from '../../types/shared';

export type CardProps = PropsWithExtend<{
  selected?: boolean;
}> &
  (React.ComponentPropsWithoutRef<'a'> &
    React.ComponentPropsWithoutRef<'div'>) &
  React.RefAttributes<HTMLAnchorElement | HTMLDivElement>;

/** @deprecated */
export const Card: ForwardRefExoticComponent<CardProps>;
export {};
