import {
  ComponentWithHref,
  PropsWithExtend,
  PropsWithHref,
} from '../../types/shared';

export type ClickUniqueProps = PropsWithExtend<{
  disabled?: boolean;
}>;
export type ClickProps<T = undefined> = PropsWithHref<ClickUniqueProps, T>;

/**
 * An unstyled component that can be used for creating your own clickable components.
 *
 * @deprecated
 */
export const Click: ComponentWithHref<ClickUniqueProps, undefined>;
export {};
