import { FC } from 'react';
import { CurrentTheme } from '../../types/shared';
export type SliderProps = {
    initialValue: number;
    minValue?: number;
    maxValue?: number;
    step?: number;
    valueList?: number[];
    onMoveStart?: (currentValue: number) => void;
    onMoveEnd?: () => void;
    onChange?: (currentValue: number) => void;
    theme?: CurrentTheme;
    disabled?: boolean;
};
/**
 * @deprecated Use `import { RangeSlider } from '@volvo-cars/react-forms'` instead. See [RangeSlider](https://developer.volvocars.com/design-system/web/?path=/docs/components-forms-rangeslider--docs)
 */
export declare const Slider: FC<SliderProps>;
