"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Spacer = Spacer;
var _react = _interopRequireDefault(require("react"));
var _reactFela = require("react-fela");
var _applySpaceMultiplier = require("../../utils/apply-space-multiplier");
var _propTypesUtils = require("../../utils/prop-types-utils");
var _view = require("../view");
/**
 * @deprecated Use margin or gaps instead. Read [Layout](https://developer.volvocars.com/design-system/web/?path=/docs/layout-introduction--docs)
 */
function Spacer(_ref) {
  let {
    size = 1
  } = _ref;
  const {
    theme
  } = (0, _reactFela.useFela)();
  const spacing = (0, _applySpaceMultiplier.applySpaceMultiplier)(theme.baselineGrid);
  return /*#__PURE__*/_react.default.createElement(_view.View, {
    width: spacing(size),
    basis: spacing(size)
  });
}
Spacer.propTypes = {
  size: _propTypesUtils.responsiveNumberOrStringProp
};