import React from 'react';
export type SpinnerProps = {
    color?: string;
    /**
     * Set spinner size.
     *
     * @default 40
     */
    size?: 24 | 32 | 40 | 48;
};
/**
 * @deprecated Use `<progress>` element instead. See [Spinner](https://developer.volvocars.com/design-system/web/?path=/docs/components-spinner--docs)
 */
export declare const Spinner: React.ForwardRefExoticComponent<SpinnerProps & React.RefAttributes<SVGSVGElement>>;
