import React, { ChangeEventHandler, InputHTMLAttributes } from 'react';
export interface ToggleProps extends InputHTMLAttributes<HTMLInputElement> {
    onChange: ChangeEventHandler<HTMLInputElement>;
    checked?: boolean;
    disabled?: boolean;
    'aria-label'?: string;
}
/**
 * @deprecated Use `<button role="switch">` instead. See [Switch](https://developer.volvocars.com/design-system/web/?path=/docs/components-switch--docs)
 */
export declare const Toggle: React.ForwardRefExoticComponent<ToggleProps & React.RefAttributes<HTMLInputElement>>;
export {};
