import React, { useRef } from 'react';
import { Block, Link } from 'vcc-ui';

// <Block href="www.volvocars.com" />;

// const ref = createRef<HTMLAnchorElement>();

// <Block
//   href=""
//   onClick={(e) => {
//     console.log(e);
//   }}
// />;

// <Block hrefLang="" ref={ref} />;

//@ts-expect-error
/*#__PURE__*/React.createElement(Block, {
  hrefLang: "",
  hello: "fail"
});

// <Block href="www" ref={ref} />;

// <Block<'svg'> viewBox="" />;

/*#__PURE__*/React.createElement(Block, {
  as: Link,
  href: "www.volvocars.com"
});
const CustomLink = _ref => {
  let {
    href
  } = _ref;
  return /*#__PURE__*/React.createElement("a", {
    href: href
  }, "content");
};
/*#__PURE__*/React.createElement(Block, {
  as: CustomLink,
  href: "www.volvocars.com"
});
/*#__PURE__*/React.createElement(Block, null);
/*#__PURE__*/React.createElement(Block, {
  onClick: e => {
    console.log(e);
  }
});
/*#__PURE__*/React.createElement(Block, {
  as: "img",
  src: "www.volvocars.com/image.png"
});
/*#__PURE__*/React.createElement(Block, {
  as: "img",
  alt: "description"
});
const CustomImg = _ref2 => {
  let {
    src
  } = _ref2;
  return /*#__PURE__*/React.createElement("img", {
    src: src,
    alt: "ja"
  });
};
/*#__PURE__*/React.createElement(Block, {
  as: CustomImg,
  src: "www.volvocars.com"
});

// Allows multiple extend types
/*#__PURE__*/React.createElement(Block, {
  extend: {
    display: 'none'
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: _ref3 => {
    let {
      theme
    } = _ref3;
    return {
      color: theme.color.background.primary
    };
  }
});
/*#__PURE__*/React.createElement(Block, {
  extend: [_ref4 => {
    let {
      theme
    } = _ref4;
    return {
      color: theme.color.background.primary
    };
  }, {
    display: 'none'
  }, [_ref5 => {
    let {
      theme
    } = _ref5;
    return {
      color: theme.color.background.primary
    };
  }, {
    display: 'none'
  }]]
});

// accepts any ref type
() => {
  const imageRef = useRef(null);
  const aRef = useRef(null);
  const divRef = useRef(null);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Block, {
    as: "img",
    src: "image src",
    ref: imageRef
  }), /*#__PURE__*/React.createElement(Block, {
    as: "a",
    href: "a href",
    ref: aRef
  }), /*#__PURE__*/React.createElement(Block, {
    ref: divRef
  }));
};