import React, { ComponentType } from 'react';
import { CurrentTheme } from '../types/shared';

type ThemeProviderProps = {
  theme: Partial<CurrentTheme>;
  children?: React.ReactNode;
};

/** @deprecated Use `data-color-mode` from `@volvo-cars/css` instead. */
export const ThemeProvider: ComponentType<ThemeProviderProps>;
export {};
