"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThemeProvider = ThemeProvider;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactFela = require("react-fela");
var _useConfig = require("../config/use-config");
var _fonts = require("../themes/fonts");
function ThemeProvider(_ref) {
  let {
    theme,
    children
  } = _ref;
  const {
    locale
  } = (0, _useConfig.useConfig)();
  if ((0, _fonts.isUnsupportedFontLocale)(locale)) {
    theme = {
      ...theme,
      fonts: []
    };
  }
  return /*#__PURE__*/_react.default.createElement(_reactFela.ThemeProvider, {
    theme: theme,
    overwrite: false
  }, children);
}
ThemeProvider.propTypes = {
  theme: _propTypes.default.object.isRequired,
  children: _propTypes.default.node.isRequired
};